Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038767
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2018-06-15 12:382018-06-29 21:06
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision43053d247d61
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038767: Should not be possible to save record with same currency from and currency to in Exchange Rate tab

DescriptionSituation is properly controlled in Conversion Rates window and when you try to define a record with same Currency and Currency To this message is shown:
Saving failed. Currency must be different from To Currency

However, situation is not controlled in Exchange Rate tabs
Steps To Reproduce0. Access Purchase Invoice window select last created record and Unpost it
1. Access Exchange Rate tab and create new record setting "To currency"="Currency" and any rate. Realize that you are able to save it

NOTE: this will not affect to purchase invoice's posting but to next event's (payment/transaction/reconciliation) posting
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105373)
AtulOpenbravo (developer)
2018-06-25 19:50

Test Plan

- Login as F&B International Group Admin
- Access Purchase Invoice window select last created record and Unpost it
- Access Exchange Rate tab and create new record setting "To currency"="Currency" and any rate.
- Realize that record cannot be saved. Error msg is shown "Currency must be different from To Currency".
- Set To Currency with a different from Currency field for eg: Currency = EUR, To Currency = USD
- Record is saved successfully.
- Try to modify earlier saved record such that Currency = To Currency, again error message is as "Currency must be different from To Currency".

Similar test done for Payment In / Out, Sales Invoice.
(0105499)
hgbot (developer)
2018-06-28 17:09

Repository: erp/devel/pi
Changeset: 43053d247d6157b4607d1fdb270da7ff502f8781
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jun 28 12:17:43 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/43053d247d6157b4607d1fdb270da7ff502f8781 [^]

Fixes Issue 0038767: Should not be possible to save record with
same currency from and currency to in Exchange Rate tab

Avoid same currency conversion rate for the invoice and payment
document

---
M src-db/database/model/triggers/C_CONVERSION_RATE_DOCUMENT_TRG.xml
---
(0105500)
Sandrahuguet (developer)
2018-06-28 17:10

Code review + testing OK
(0105518)
hudsonbot (developer)
2018-06-29 21:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0338e029f9f8 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-15 12:38 maite New Issue
2018-06-15 12:38 maite Assigned To => Triage Finance
2018-06-15 12:38 maite Modules => Core
2018-06-15 12:38 maite Triggers an Emergency Pack => No
2018-06-15 12:41 maite Issue Monitored: networkb
2018-06-19 12:41 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-06-25 19:29 AtulOpenbravo Status new => scheduled
2018-06-25 19:50 AtulOpenbravo Note Added: 0105373
2018-06-28 17:09 hgbot Checkin
2018-06-28 17:09 hgbot Note Added: 0105499
2018-06-28 17:09 hgbot Status scheduled => resolved
2018-06-28 17:09 hgbot Resolution open => fixed
2018-06-28 17:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/43053d247d6157b4607d1fdb270da7ff502f8781 [^]
2018-06-28 17:10 Sandrahuguet Review Assigned To => Sandrahuguet
2018-06-28 17:10 Sandrahuguet Note Added: 0105500
2018-06-28 17:10 Sandrahuguet Status resolved => closed
2018-06-28 17:10 Sandrahuguet Fixed in Version => 3.0PR18Q3
2018-06-29 21:06 hudsonbot Checkin
2018-06-29 21:06 hudsonbot Note Added: 0105518


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker